function Update()
	local CAMERA_SPEED = 2
	
	if GAME:GetGameState():GetEntityManager():HasEntity( "ball" ) then
		ballPos = GAME:GetGameState():GetEntityManager():GetEntity( "ball" ):GetNode():GetPosition()
		cameraPos = game.Vector( game.RenderSystem_GetInstance():GetDefaultViewport():GetCameraPointer():GetPosition() )
		
		diff = ( ballPos - cameraPos ) * CAMERA_SPEED * ELAPSED_SECONDS
		
		game.RenderSystem_GetInstance():GetDefaultViewport():GetCameraPointer():Translate( diff )
	end
end